Director {
  Name = "bacula-dir"
  Messages = "Daemon"
  QueryFile = "/etc/bacula/scripts/query.sql"
  WorkingDirectory = "/var/lib/bacula"
  PidDirectory = "/run/bacula"
  MaximumConcurrentJobs = 20
  Password = "AqBDdsQIToKs5mLh4szqSk99gqLtGTWhB"
}
Client {
  Name = "bacula-fd"
  Address = "127.0.0.1"
  FdPort = 9102
  Password = "PBhBm7HlheYWqVaYv6zDCLpSAzVjSc_OB"
  Catalog = "MyCatalog"
  FileRetention = 5184000
  JobRetention = 15552000
  AutoPrune = yes
}
Job {
  Name = "BackupBacula"
  Type = "Backup"
  Level = "Incremental"
  Storage = "vchanger-1"
  Pool = "File"
  Client = "bacula-fd"
  Fileset = "Full Set"
  JobDefs = "DefaultJob"
  SpoolData = no
}
Job {
  Name = "BackupCatalog"
  Level = "Full"
  Client = "bacula-fd"
  Fileset = "Catalog"
  Schedule = "WeeklyCycle"
  JobDefs = "DefaultJob"
  WriteBootstrap = "/var/lib/bacula/%n.bsr"
  Runscript {
    RunsWhen = "Before"
    RunsOnClient = no
    Command = "/etc/bacula/scripts/make_catalog_backup.pl MyCatalog"
  }
  Runscript {
    RunsWhen = "After"
    RunsOnClient = no
    Command = "/etc/bacula/scripts/delete_catalog_backup"
  }
  Priority = 11
}
Job {
  Name = "Critical Role Complete"
  Type = "Backup"
  FullBackupPool = "File"
  IncrementalBackupPool = "File"
  Client = "bacula-fd"
  Fileset = "NAS01: Critial Role Complete"
  JobDefs = "DefaultJob"
}
Job {
  Name = "Wichtige Dateien"
  Type = "Backup"
  Client = "bacula-fd"
  Fileset = "NAS01: Wichtige Dateien"
  JobDefs = "DefaultJob"
}
Storage {
  Name = "vchanger-1"
  SdPort = 9103
  Address = "127.0.0.1"
  Password = "0FbHFYHuylTaTUB9p4ruim8RmBe8u9lmB"
  Device = "usb-vchanger-1"
  MediaType = "File"
  Autochanger = "vchanger-1"
  MaximumConcurrentJobs = 20
}
Catalog {
  Name = "MyCatalog"
  Address = "127.0.0.1"
  Password = "bacula"
  User = "bacula"
  DbName = "bacula"
}
Schedule {
  Name = "WeeklyCycle"
}
Schedule {
  Name = "WeeklyCycleAfterBackup"
  Run = Level="Full" at 23:10
}
Schedule {
  Name = "Yearly"
  Run = w00 at 0:00
}
Fileset {
  Name = "Catalog"
  Include {
    File = "/var/lib/bacula/bacula.sql"
    Options {
      Signature = "Md5"
    }
  }
}
Fileset {
  Name = "Full Set"
  Include {
    File = "/"
    Options {
      Signature = "Md5"
    }
  }
  Exclude {
    File = "/var/lib/bacula"
    File = "/mnt/vchanger"
    File = "/proc"
    File = "/tmp"
    File = "/sys"
    File = "/.journal"
    File = "/.fsck"
    File = "/var/spool/vchanger"
  }
}
Fileset {
  Name = "NAS01: Critial Role Complete"
  EnableVss = no
  Include {
    File = "/mnt/cifs/nas01/video2/publik/Critcal Role"
  }
}
Fileset {
  Name = "NAS01: Wichtige Dateien"
  EnableVss = no
  Include {
    File = "/mnt/cifs/nas01/daten/3D,CAD,CAM_2021/"
    File = "/mnt/cifs/nas01/daten/dokumente/"
    File = "/mnt/cifs/nas01/safe/"
    File = "/mnt/cifs/nas01/musik/musikbox_priv/"
  }
}
Fileset {
  Name = "NAS01: divers"
  EnableVss = no
  Include {
    File = "/mnt/cifs/nas01/books/"
    File = "/mnt/cifs/nas01/secret/"
    File = "/mnt/cifs/nas01/video2/privat/"
  }
}
Pool {
  Name = "Default"
  PoolType = "Backup"
  MaximumVolumes = 100
  MaximumVolumeBytes = 1000000000000
  VolumeRetention = 31536000
  AutoPrune = yes
  Recycle = yes
}
Pool {
  Name = "File"
  PoolType = "Backup"
  LabelFormat = "OstrachNET"
  MaximumVolumeBytes = 1000000000000
  VolumeRetention = 31536000
  Storage = "vchanger-1"
  AutoPrune = yes
  Recycle = yes
}
Pool {
  Name = "Scratch"
  PoolType = "Backup"
}
Messages {
  Name = "Daemon"
  MailCommand = "/usr/sbin/bsmtp -h localhost -f \"(Bacula) <%r>\" -s \"Bacula daemon message\" %r"
  Mail = root = All, !Debug, !Saved, !Skipped
  Append = /var/log/bacula/bacula.log = All, !Debug, !Saved, !Skipped
  Console = All, !Debug, !Saved, !Skipped
}
Messages {
  Name = "Standard"
  MailCommand = "/usr/sbin/bsmtp -h localhost -f \"(Bacula) <%r>\" -s \"Bacula: %t %e of %c %l\" %r"
  OperatorCommand = "/usr/sbin/bsmtp -h localhost -f \"(Bacula) <%r>\" -s \"Bacula: Intervention needed for %j\" %r"
  Mail = root = All, !Debug, !Saved, !Skipped
  Append = /var/log/bacula/bacula.log = All, !Debug, !Saved, !Skipped
  Console = All, !Debug, !Saved, !Skipped
  Operator = root = Mount
  Catalog = All, !Debug, !Saved
}
Console {
  Name = "bacula-mon"
  Password = "_7qJzdGPz2h3_BGeXg_qfTI-mGmOdIP4B"
  CommandAcl = "status"
  CommandAcl = ".status"
}
JobDefs {
  Name = "DefaultJob"
  Type = "Backup"
  Level = "Incremental"
  Messages = "Standard"
  Storage = "vchanger-1"
  Pool = "File"
  Schedule = "WeeklyCycle"
  WriteBootstrap = "/var/lib/bacula/%c.bsr"
  Priority = 10
}
Job {
  Type = "Backup"
  Level = "Full"
  Client = "bacula-fd"
  Fileset = "NAS01: divers"
  Pool = "Default"
  Messages = "Standard"
  JobDefs = "DefaultJob"
  Storage = "vchanger-1"
  Name = "NAS01: divers"
}
